Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.TreeIncrementAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.plaf.basic.BasicTreeUI.TreeIncrementAction

public class BasicTreeUI.TreeIncrementAction
extends AbstractAction

TreeIncrementAction is used to handle up/down actions. Selection is moved up or down based on direction.

See Also:
  Serialized Form

Field Summary
`protected int` | `direction` Specifies the direction to adjust the selection by.

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Constructor Summary
`BasicTreeUI.TreeIncrementAction(int direction, java.lang.String name)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`boolean` | `isEnabled()`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getValue, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### direction

    protected int direction

  Specifies the direction to adjust the selection by.

Constructor Detail

### BasicTreeUI.TreeIncrementAction

    public BasicTreeUI.TreeIncrementAction(int direction,
                                           java.lang.String name)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

### isEnabled

    public boolean isEnabled()

  Overrides:
    isEnabled in class AbstractAction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.